org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPUnaryTypeTransformation

All Superinterfaces:
  Cloneable, IType

    public interface ICPPUnaryTypeTransformation
    extends IType

A type used to represent the result of applying an unary type transformation operator like __underlying_type(T). This representation is only used when T is dependent (and thus we cannot evaluate the type transformation yet). If T is not dependent, we simply use the result of evaluating the type transformation.

Since:
  5.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static class` `ICPPUnaryTypeTransformation.Operator` Identifies the type transformation operator being applied.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getOperand()` Returns the type to which the type transformation operator is being applied.
`ICPPUnaryTypeTransformation.Operator` `getOperator()` Returns the type transformation operator being applied.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getOperator

    ICPPUnaryTypeTransformation.Operator getOperator()

Returns the type transformation operator being applied.

#### getOperand

    IType getOperand()

Returns the type to which the type transformation operator is being applied.